import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: DriverTypes.SearchDriverParam) {
    return get<G.PageResult<DriverTypes.SearchDriverResult>>('/driver/paging', data)
  },
  detail(id: string) {
    return get<DriverTypes.SearchDriverResult>('/driver/detail', {id})
  },
  add(data: DriverTypes.AddDriverParam) {
    return post('/driver/add', data)
  },
  modify(data: DriverTypes.ModifyDriverParam) {
    return post('/driver/modify', data)
  },
  del(ids: string[]) {
    return post('/driver/del', ids)
  },
}
